Package com.sun.jna.platform.win32

## Class Sspi.PSecPkgInfo

- java.lang.Object
- - com.sun.jna.Structure
  - - com.sun.jna.platform.win32.Sspi.PSecPkgInfo

Direct Known Subclasses:
  `Sspi.PSecPkgInfo.ByReference`

Enclosing interface:
  Sspi

    @FieldOrder("pPkgInfo")
    public static class Sspi.PSecPkgInfo
    extends Structure

A pointer to an array of SecPkgInfo structures.

### Nested Class Summary

Nested Classes
`static class` `Sspi.PSecPkgInfo.ByReference`

### Nested classes/interfaces inherited from class com.sun.jna.Structure

`Structure.ByValue, Structure.FieldOrder, Structure.StructField`

### Field Summary

Fields
`Sspi.SecPkgInfo.ByReference` `pPkgInfo` The first entry in an array of SecPkgInfo structures.

### Fields inherited from class com.sun.jna.Structure

`ALIGN_DEFAULT, ALIGN_GNUC, ALIGN_MSVC, ALIGN_NONE, CALCULATE_SIZE`

### Constructor Summary

Constructors
`PSecPkgInfo()`

### Method Summary

All Methods Instance Methods Concrete Methods
`Sspi.SecPkgInfo.ByReference[]` `toArray​(int size)` An array of SecPkgInfo structures.

### Methods inherited from class com.sun.jna.Structure

`allocateMemory, allocateMemory, autoAllocate, autoRead, autoRead, autoWrite, autoWrite, cacheTypeInfo, calculateSize, clear, createFieldsOrder, createFieldsOrder, createFieldsOrder, createFieldsOrder, dataEquals, dataEquals, ensureAllocated, equals, fieldOffset, getAutoRead, getAutoWrite, getFieldList, getFieldOrder, getFields, getNativeAlignment, getNativeSize, getNativeSize, getPointer, getStringEncoding, getStructAlignment, hashCode, newInstance, newInstance, read, readField, readField, setAlignType, setAutoRead, setAutoSynch, setAutoWrite, setStringEncoding, size, sortFields, toArray, toString, toString, useMemory, useMemory, write, writeField, writeField, writeField`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

### Field Detail

#### pPkgInfo

    public Sspi.SecPkgInfo.ByReference pPkgInfo

The first entry in an array of SecPkgInfo structures.

### Constructor Detail

#### PSecPkgInfo

    public PSecPkgInfo()

### Method Detail

#### toArray

    public Sspi.SecPkgInfo.ByReference[] toArray​(int size)

An array of SecPkgInfo structures.

Overrides:
  `toArray` in class `Structure`
Parameters:
  `size` - desired number of elements
Returns:
  array of Structure (individual elements will be of the appropriate type, as will the Structure[]).